org.apache.cassandra.thrift

## Class Cassandra.truncate_result

- java.lang.Object
- - org.apache.cassandra.thrift.Cassandra.truncate_result

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, java.lang.Comparable<Cassandra.truncate_result>, org.apache.thrift.TBase<Cassandra.truncate_result,Cassandra.truncate_result._Fields>

Enclosing class:
  Cassandra

    public static class Cassandra.truncate_result
    extends java.lang.Object
    implements org.apache.thrift.TBase<Cassandra.truncate_result,Cassandra.truncate_result._Fields>, java.io.Serializable, java.lang.Cloneable, java.lang.Comparable<Cassandra.truncate_result>

See Also:
  Serialized Form

### Nested Class Summary

Nested Classes
`static class` `Cassandra.truncate_result._Fields` The set of fields this struct contains, along with convenience methods for finding and manipulating them.

### Field Summary

Fields
`InvalidRequestException` `ire`
`static java.util.Map<Cassandra.truncate_result._Fields,org.apache.thrift.meta_data.FieldMetaData>` `metaDataMap`
`TimedOutException` `te`
`UnavailableException` `ue`

### Constructor Summary

Constructors
Constructor and Description
`truncate_result()`
`truncate_result(Cassandra.truncate_result other)` Performs a deep copy on other.
`truncate_result(InvalidRequestException ire, UnavailableException ue, TimedOutException te)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `clear()`
`int` `compareTo(Cassandra.truncate_result other)`
`Cassandra.truncate_result` `deepCopy()`
`boolean` `equals(Cassandra.truncate_result that)`
`boolean` `equals(java.lang.Object that)`
`Cassandra.truncate_result._Fields` `fieldForId(int fieldId)`
`java.lang.Object` `getFieldValue(Cassandra.truncate_result._Fields field)`
`InvalidRequestException` `getIre()`
`TimedOutException` `getTe()`
`UnavailableException` `getUe()`
`int` `hashCode()`
`boolean` `isSet(Cassandra.truncate_result._Fields field)` Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise
`boolean` `isSetIre()` Returns true if field ire is set (has been assigned a value) and false otherwise
`boolean` `isSetTe()` Returns true if field te is set (has been assigned a value) and false otherwise
`boolean` `isSetUe()` Returns true if field ue is set (has been assigned a value) and false otherwise
`void` `read(org.apache.thrift.protocol.TProtocol iprot)`
`void` `setFieldValue(Cassandra.truncate_result._Fields field, java.lang.Object value)`
`Cassandra.truncate_result` `setIre(InvalidRequestException ire)`
`void` `setIreIsSet(boolean value)`
`Cassandra.truncate_result` `setTe(TimedOutException te)`
`void` `setTeIsSet(boolean value)`
`Cassandra.truncate_result` `setUe(UnavailableException ue)`
`void` `setUeIsSet(boolean value)`
`java.lang.String` `toString()`
`void` `unsetIre()`
`void` `unsetTe()`
`void` `unsetUe()`
`void` `validate()`
`void` `write(org.apache.thrift.protocol.TProtocol oprot)`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### ire

    public InvalidRequestException ire

#### ue

    public UnavailableException ue

#### te

    public TimedOutException te

#### metaDataMap

    public static final java.util.Map<Cassandra.truncate_result._Fields,org.apache.thrift.meta_data.FieldMetaData> metaDataMap

### Constructor Detail

#### truncate_result

    public truncate_result()

#### truncate_result

    public truncate_result(InvalidRequestException ire,
                           UnavailableException ue,
                           TimedOutException te)

#### truncate_result

    public truncate_result(Cassandra.truncate_result other)

Performs a deep copy on other.

### Method Detail

#### deepCopy

    public Cassandra.truncate_result deepCopy()

Specified by:
  `deepCopy` in interface `org.apache.thrift.TBase<Cassandra.truncate_result,Cassandra.truncate_result._Fields>`

#### clear

    public void clear()

Specified by:
  `clear` in interface `org.apache.thrift.TBase<Cassandra.truncate_result,Cassandra.truncate_result._Fields>`

#### getIre

    public InvalidRequestException getIre()

#### setIre

    public Cassandra.truncate_result setIre(InvalidRequestException ire)

#### unsetIre

    public void unsetIre()

#### isSetIre

    public boolean isSetIre()

Returns true if field ire is set (has been assigned a value) and false otherwise

#### setIreIsSet

    public void setIreIsSet(boolean value)

#### getUe

    public UnavailableException getUe()

#### setUe

    public Cassandra.truncate_result setUe(UnavailableException ue)

#### unsetUe

    public void unsetUe()

#### isSetUe

    public boolean isSetUe()

Returns true if field ue is set (has been assigned a value) and false otherwise

#### setUeIsSet

    public void setUeIsSet(boolean value)

#### getTe

    public TimedOutException getTe()

#### setTe

    public Cassandra.truncate_result setTe(TimedOutException te)

#### unsetTe

    public void unsetTe()

#### isSetTe

    public boolean isSetTe()

Returns true if field te is set (has been assigned a value) and false otherwise

#### setTeIsSet

    public void setTeIsSet(boolean value)

#### setFieldValue

    public void setFieldValue(Cassandra.truncate_result._Fields field,
                              java.lang.Object value)

Specified by:
  `setFieldValue` in interface `org.apache.thrift.TBase<Cassandra.truncate_result,Cassandra.truncate_result._Fields>`

#### getFieldValue

    public java.lang.Object getFieldValue(Cassandra.truncate_result._Fields field)

Specified by:
  `getFieldValue` in interface `org.apache.thrift.TBase<Cassandra.truncate_result,Cassandra.truncate_result._Fields>`

#### isSet

    public boolean isSet(Cassandra.truncate_result._Fields field)

Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise

Specified by:
  `isSet` in interface `org.apache.thrift.TBase<Cassandra.truncate_result,Cassandra.truncate_result._Fields>`

#### equals

    public boolean equals(java.lang.Object that)

Overrides:
  `equals` in class `java.lang.Object`

#### equals

    public boolean equals(Cassandra.truncate_result that)

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `java.lang.Object`

#### compareTo

    public int compareTo(Cassandra.truncate_result other)

Specified by:
  `compareTo` in interface `java.lang.Comparable<Cassandra.truncate_result>`

#### fieldForId

    public Cassandra.truncate_result._Fields fieldForId(int fieldId)

Specified by:
  `fieldForId` in interface `org.apache.thrift.TBase<Cassandra.truncate_result,Cassandra.truncate_result._Fields>`

#### read

    public void read(org.apache.thrift.protocol.TProtocol iprot)
              throws org.apache.thrift.TException

Specified by:
  `read` in interface `org.apache.thrift.TBase<Cassandra.truncate_result,Cassandra.truncate_result._Fields>`
Throws:
  `org.apache.thrift.TException`

#### write

    public void write(org.apache.thrift.protocol.TProtocol oprot)
               throws org.apache.thrift.TException

Specified by:
  `write` in interface `org.apache.thrift.TBase<Cassandra.truncate_result,Cassandra.truncate_result._Fields>`
Throws:
  `org.apache.thrift.TException`

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`

#### validate

    public void validate()
                  throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`